# SoVectorizePSAction Class Reference
[Support for vectorized printing]

`#include <HardCopy/SoVectorizePSAction.h>`

Inheritance diagram for SoVectorizePSAction:

List of all members.

## Detailed Description

The SoVectorizePSAction class is used for rendering to a Postscript file.

Since:
  Coin 2.1

  TGS provides HardCopy support as a separate extension for TGS Inventor.

## Public Member Functions

| SoVectorizePSAction (void)
virtual | ~SoVectorizePSAction ()
void | setDefault2DFont (const SbString &fontname)
const SbString & | getDefault2DFont (void) const
void | setGouraudThreshold (const double eps)
SoPSVectorOutput * | getOutput (void) const
SoPSVectorOutput * | getPSOutput (void) const

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual void | printHeader (void) const
virtual void | printFooter (void) const
virtual void | printBackground (void) const
virtual void | printItem (const SoVectorizeItem *item) const
virtual void | printViewport (void) const

## Friends

class | SoVectorizePSActionP

## Constructor & Destructor Documentation

SoVectorizePSAction::SoVectorizePSAction | ( | void |  | ) |

| Default constructor.

SoVectorizePSAction::~SoVectorizePSAction | ( |  | ) | `[virtual]`

| Default destructor.

## Member Function Documentation

void SoVectorizePSAction::initClass | ( | void |  | ) | `[static]`

| Initializes the run-time type system for this class, and sets up the enabled elements and action method list. Reimplemented from SoVectorizeAction.

void SoVectorizePSAction::setDefault2DFont | ( | const SbString & | fontname | ) |

| Sets the default font name. This font will be used for rendering Text2-nodes which have no Font-nodes preceding them. The default value is "Courier".

const SbString & SoVectorizePSAction::getDefault2DFont | ( | void |  | ) | const

Returns the default font name.

See also:
  setDefault2DFont()

void SoVectorizePSAction::setGouraudThreshold | ( | const double | eps | ) |

| Sets the Gouraud shading threshold. A threshold of 0.0 will disable Gouraud shading. A smaller value will yield more accurate Gouraud shading. Default is 0.1. Since the postscript language has no support for Gouraud shaded triangles, each triangle will be split into subtriangles approximately of size eps postscript units. One postscript unit is approximately 1/72 inch.

SoPSVectorOutput * SoVectorizePSAction::getOutput | ( | void |  | ) | const

| Returns the SoPSVectorOutput used by this instance. Reimplemented from SoVectorizeAction.

SoPSVectorOutput * SoVectorizePSAction::getPSOutput | ( | void |  | ) | const

| Returns the SoPSVectorOutput used by this instance. Provided for API compatibility with TGS HardCopy support.

void SoVectorizePSAction::printHeader | ( | void |  | ) | const`[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Implements SoVectorizeAction.

void SoVectorizePSAction::printFooter | ( | void |  | ) | const`[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Should be overridden by subclasses to print file footer data. Reimplemented from SoVectorizeAction.

void SoVectorizePSAction::printBackground | ( | void |  | ) | const`[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Should be overridden by subclasses to print background data. Reimplemented from SoVectorizeAction.

void SoVectorizePSAction::printItem | ( | const SoVectorizeItem * | item | ) | const`[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Should be overridden by subclasses to print an item. Implements SoVectorizeAction.

void SoVectorizePSAction::printViewport | ( | void |  | ) | const`[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Should be overridden by subclasses to set up the current page viewport. Reimplemented from SoVectorizeAction.

The documentation for this class was generated from the following files:

- SoVectorizePSAction.h
- VectorizePSAction.cpp